	
data.raw["technology"]["speed-module"].icon = "__NARMod__/graphics/icons/speed-module-1.png"
data.raw["technology"]["speed-module-2"].icon = "__NARMod__/graphics/icons/speed-module-2.png"
data.raw["technology"]["speed-module-3"].icon = "__NARMod__/graphics/icons/speed-module-3.png"

data.raw["technology"]["effectivity-module"].icon = "__NARMod__/graphics/icons/effectivity-module-1.png"
data.raw["technology"]["effectivity-module-2"].icon = "__NARMod__/graphics/icons/effectivity-module-2.png"
data.raw["technology"]["effectivity-module-3"].icon = "__NARMod__/graphics/icons/effectivity-module-3.png"

data.raw["technology"]["productivity-module"].icon = "__NARMod__/graphics/icons/productivity-module-1.png"
data.raw["technology"]["productivity-module-2"].icon = "__NARMod__/graphics/icons/productivity-module-2.png"
data.raw["technology"]["productivity-module-3"].icon = "__NARMod__/graphics/icons/productivity-module-3.png"

data.raw["technology"]["advanced-material-processing-2"] = nil

-- RED SCIENCE	  
	  
data:extend({
{
    type = "technology",
    name = "automation",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "basic-inserter"
      },
	  	  {
        type = "unlock-recipe",
        recipe = "small-electric-motor"
      }
    },
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-1", 1}},
      time = 10
    },
    order = "a-b-a",
  },
  
  {
    type = "technology",
    name = "steel-processing",
    icon = "__base__/graphics/technology/steel-processing.png",
	prerequisites= {"chemical-processing-1"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "steel-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-chest"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-axe"
      },
    },
    unit =
    {
      count = 20,
      ingredients = {{"science-pack-1", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  {
	type = "technology",
    name= "tin-processing",
    prerequisites= {"alloy-processing-1"},
	icon="__NARMod__/graphics/icons/plate/tin-plate.png",
    unit=
    {
      count= 30,
      time= 30,
      ingredients= { {"science-pack-1", 1} }
    },
    effects=
    {
	  {
        type = "unlock-recipe",
        recipe = "tin-plate"
      },
	  {
        type = "unlock-recipe",
        recipe = "bronze-plate"
      },
	  {
        type = "unlock-recipe",
        recipe = "bronze-plate"
      },
	  {
        type = "unlock-recipe",
        recipe = "bronze-bearing-ball"
      },
	  {
        type = "unlock-recipe",
        recipe = "bronze-bearing"
      },
	 {
        type = "unlock-recipe",
        recipe = "solder-plate"
      },
	 {
        type = "unlock-recipe",
        recipe = "solder"
      },
    }
  },
  
  
  
  {
	type = "technology",
    name= "silicon-processing",
    prerequisites= {"electronics"},
	icon="__NARMod__/graphics/icons/plate/silicon-plate.png",
    unit=
    {
      count= 50,
      time= 15,
      ingredients= { {"science-pack-1", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "silicon-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "silicon-powder"
      },
    }
	},
  
  {
    type = "technology",
    name = "logistics",
    icon = "__base__/graphics/technology/logistics.png",
	prerequisites = {"automation"},
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "fast-inserter"
      },
	  {
        type = "unlock-recipe",
        recipe = "long-handed-inserter"
      },
	  {
        type = "unlock-recipe",
        recipe = "smart-chest"
      },
      {
        type = "unlock-recipe",
        recipe = "red-wire"
      },
      {
        type = "unlock-recipe",
        recipe = "green-wire"
      },
    },
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-1", 1}},
      time = 15
    },
    order = "a-f-a",
  },
  
	{
    type = "technology",
    name = "electronics",
    icon = "__base__/graphics/technology/electronics.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "smart-inserter"
      },
	  {
        type = "unlock-recipe",
        recipe = "tinned-copper-wire"
      },
	  {
        type = "unlock-recipe",
        recipe = "basic-electronic-components"
      },
	  {
        type = "unlock-recipe",
        recipe = "electronic-components"
      },
    },
    prerequisites = {"automation"},
    unit =
    {
      count = 30,
      ingredients = {{"science-pack-1", 1}},
      time = 15
    },
    order = "a-d-a",
  },
  
  
  {
    type = "technology",
    name = "automation-2",
    icon = "__base__/graphics/technology/automation.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "assembling-machine-2"
      }
    },
    prerequisites = {"electronics"},
    unit =
    {
      count = 40,
      ingredients = {{"science-pack-1", 2}},
      time = 15
    },
    order = "a-b-b",
  },
  
  {
    type = "technology",
    name = "extraction-technology",
    icon = "__NARMod__/graphics/icons/technology/extraction-technology.png",
    prerequisites =
    {
		"electronics"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "extractor"
      },
	  {
        type = "unlock-recipe",
        recipe = "salt"
      },
      {
        type = "unlock-recipe",
        recipe = "limestone"
      },
	  {
        type = "unlock-recipe",
        recipe = "clay"
      },
    },
    unit =
    {
      count = 40,
      ingredients = 
      {
        {"science-pack-1", 1},
      },
      time = 15
    },
    upgrade = true,
    order = "d-b-b1"
  },



{
		type = "technology",
		name = "cokery-manufacturing",
		icon = "__NARMod__/graphics/icons/charcoal.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "cokery"
			},
			{
				type = "unlock-recipe",
				recipe = "charcoal"
			},
			{
				type = "unlock-recipe",
				recipe = "coke"
			},
			{
				type = "unlock-recipe",
				recipe = "ash"
			},
			{
				type = "unlock-recipe",
				recipe = "sodium-hydroxide"
			},
		},
		prerequisites = {
			"logistics"
		},
		unit = {
			count = 50,
			ingredients = {
				{"science-pack-1", 1},
			},
			time = 20
		}
	},

{
    type = "technology",
    name = "stone-walls",
    icon = "__base__/graphics/technology/stone-walls.png",
    prerequisites =
    {
		"cokery-manufacturing"
    },
    effects =
    {
  	  {
        type = "unlock-recipe",
        recipe = "cement"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-brick"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-wall"
      }
    },
    unit =
    {
      count = 50,
      ingredients = 
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    upgrade = true,
    order = "d-b-b1"
  },  
  
  {
    type = "technology",
    name = "air-compressor-1",
    icon = "__NARMod__/graphics/icons/air-pump.png",
    prerequisites =
    {
		"electronics"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "air-pump"
      },
      {
        type = "unlock-recipe",
        recipe = "compressed-air"
      },
    },
    unit =
    {
      count = 30,
      ingredients = 
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    upgrade = true,
    order = "d-c-a1"
  },
  
  
  -- GREEN SCIENCE
  
  {
    type = "technology",
    name = "logistics-2",
    icon = "__base__/graphics/technology/logistics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fast-transport-belt"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-transport-belt-to-ground"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-splitter"
      },
	  {
        type = "unlock-recipe",
        recipe = "steel-gear-wheel"
      },
	  {
        type = "unlock-recipe",
        recipe = "steel-bearing"
      },
	  {
        type = "unlock-recipe",
        recipe = "steel-bearing-ball"
      },
    },
    prerequisites = {"logistics"},
    unit =
    {
      count = 40,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-f-b",
  },
  {
    type = "technology",
    name = "fluid-handling",
    icon = "__base__/graphics/technology/fluid-handling.png",
    prerequisites = {"oil-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "storage-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-crude-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-crude-oil-barrel"
      }, 
    },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a-a"
  },
  
  {
    type = "technology",
    name = "sulfur-processing",
    icon = "__base__/graphics/technology/sulfur-processing.png",
    prerequisites = {"oil-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "sulfur-dioxide"
      },
	  {
        type = "unlock-recipe",
        recipe = "claus-process"
      },
	  {
        type = "unlock-recipe",
        recipe = "sulfuric-acid"
      },
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-c"
  },
  
  {
    type = "technology",
    name = "electrolysis-1",
    icon = "__NARMod__/graphics/icons/technology/electrolysis.png",
	prerequisites = {
		"alloy-processing-2", "chemical-processing-1"
	},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electrolyser"
      },
      {
        type = "unlock-recipe",
        recipe = "water-electrolysis"
      },
	  {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-hydrogen"
      },
    },
    unit =
    {
      count = 20,
      ingredients = 
      {
        {"science-pack-1", 1},
		{"science-pack-2", 1},
      },
      time = 15
    },
    upgrade = true,
    order = "d-b-a1"
  },

  {
    type = "technology",
    name = "electric-furnaces",
    icon = "__NARMod__/graphics/icons/technology/electric-furnaces.png",
	prerequisites = {
		"steel-processing", "stone-walls"
	},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "small-crucible"
      },
	  {
        type = "unlock-recipe",
        recipe = "electric-furnace"
      },
    },
    unit =
    {
      count = 50,
      ingredients = 
      {
        {"science-pack-1", 1},
		{"science-pack-2", 1},
      },
      time = 20
    },
    upgrade = true,
    order = "d-b-a1"
  },
  
  {
    type = "technology",
    name = "electrolysis-2",
    icon = "__NARMod__/graphics/icons/technology/electrolysis.png",
    prerequisites =
    {
      "electrolysis-1",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "salt-water-electrolysis"
      },
	  {
        type = "unlock-recipe",
        recipe = "hydrogen-chloride"
      },
      {
        type = "unlock-recipe",
        recipe = "calcium-chloride"
      },
    },
    unit =
    {
      count = 30,
      ingredients = 
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1}
      },
      time = 20
    },
    upgrade = true,
    order = "d-b-a2"
  },
  
  {
    type = "technology",
    name = "engine",
    icon = "__NARMod__/graphics/icons/technology/electric-motor.png",
    prerequisites = {"steel-processing", "automation-2"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 15
    },
	effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-motor"
      }
    },
    order = "b-a"
  },
  
  {
    type = "technology",
    name = "electric-engine",
    icon = "__NARMod__/graphics/icons/technology/large-electric-motor.png",
    prerequisites = {"engine"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
	effects =
    {
		{
        type = "unlock-recipe",
        recipe = "large-electric-motor"
      }
    },
    order = "b-a"
  },

  {
    type = "technology",
    name = "chemical-processing-1",
    icon = "__NARMod__/graphics/icons/technology/chemistry.png",
    prerequisites =
    {},
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "chemical-plant"
      },
	  {
        type = "unlock-recipe",
        recipe = "chemical-furnace"
      },
	  {
        type = "unlock-recipe",
        recipe = "carbon"
      },
      {
        type = "unlock-recipe",
        recipe = "glass-plate"
      },
    },
    unit =
    {
      count = 40,
      ingredients = 
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    upgrade = true,
    order = "d-b-b1"
  },
  
  {
    type = "technology",
    name = "advanced-material-processing",
    icon = "__NARMod__/graphics/icons/technology/advanced-materials.png",
    effects =
    {
      {
        type= "unlock-recipe",
        recipe= "f-blast-furnace"
      },
	  {
        type= "unlock-recipe",
        recipe= "f-forge"
      },
	  {
        type= "unlock-recipe",
        recipe= "pressure-vessel"
      },
	  {
        type= "unlock-recipe",
        recipe= "stainless-steel-plate"
      },
    },
    prerequisites = {"electric-furnaces"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "c-c-a"
  },
  
  {
    type = "technology",
    name = "more-efficient-smelting",
    icon = "__NARMod__/graphics/icons/technology/more-efficient-smelting.png",
    effects =
    {
      {
        type= "unlock-recipe",
        recipe= "molten-iron"
      },
      {
        type= "unlock-recipe",
        recipe= "forgeiron"
      },
	  {
        type= "unlock-recipe",
        recipe= "crushed-copper-ore"
      },
      {
        type= "unlock-recipe",
       recipe= "copper-flash-smelting"
      },
    },
    prerequisites = {"advanced-material-processing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "c-c-a"
  },
  
  {
    type = "technology",
    name = "oil-processing",
    icon = "__base__/graphics/technology/oil-gathering.png",
    prerequisites = {"chemical-processing-1"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "pumpjack"
      },
      {
        type = "unlock-recipe",
        recipe = "oil-refinery"
      },
      {
        type = "unlock-recipe",
        recipe = "basic-oil-processing"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-light-oil"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-heavy-oil"
      },
	   {
        type = "unlock-recipe",
        recipe = "solid-fuel-from-petroleum-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "petroleum-gas-desulfurization"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a"
  },
  
  {
    type = "technology",
    name = "synthetic-rubber",
    icon = "__NARMod__/graphics/icons/technology/synthetic-rubber.png",
    prerequisites = {"oil-processing"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "butadiene"
      },
      {
        type = "unlock-recipe",
        recipe = "hexane"
      },
      {
        type = "unlock-recipe",
        recipe = "rubber"
      },
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a"
  },
  
  {
    type = "technology",
    name = "chemical-processing-2",
    icon = "__NARMod__/graphics/icons/technology/chemistry.png",
    prerequisites =
    {
      "chemical-processing-1"
    },
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "nitrogen-dioxide"
      },
      {
        type = "unlock-recipe",
        recipe = "nitric-acid"
      },
	  {
        type = "unlock-recipe",
        recipe = "lubricant"
      },
    },
    unit =
    {
      count = 50,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "d-b-b2"
  },
  
  {
    type = "technology",
    name = "polycrystalline-silicon",
    icon = "__NARMod__/graphics/icons/technology/polycrystalline-silicon.png",
    prerequisites =
    {
      "chemical-processing-2",
	  "silicon-processing",
	  "electrolysis-2"
    },
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "silicon-tetrachloride"
      },
      {
        type = "unlock-recipe",
        recipe = "polycrystalline-silicon-plate"
      },
    },
    unit =
    {
      count = 50,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "d-b-b2"
  },
  
  {
    type = "technology",
    name = "solar-energy",
    icon = "__base__/graphics/technology/solar-energy.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "photovoltaic-cell"
      },
	  {
        type = "unlock-recipe",
        recipe = "solar-panel"
      }
    },
    prerequisites = {"optics", "advanced-electronics", "steel-processing", "polycrystalline-silicon"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-h-c",
  },

  {
    type = "technology",
    name = "alloy-processing-1",
    icon = "__NARMod__/graphics/icons/technology/alloy-processing.png",
    prerequisites =
    {
		"stone-walls"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mixing-furnace"
      },
	  {
        type= "unlock-recipe",
        recipe= "lead-plate"
      },
    },
    unit =
    {
      count = 25,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "c-c-a-a"
  },

  {
    type = "technology",
    name = "alloy-processing-2",
    icon = "__NARMod__/graphics/icons/technology/alloy-processing.png",
    prerequisites =
    {
      "alloy-processing-1",
	  "advanced-material-processing"
    },
    effects =
    {
		{
        type= "unlock-recipe",
        recipe= "zinc-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "brass-plate"
      },
	  {
        type = "unlock-recipe",
        recipe = "electric-mixing-furnace"
      }
    },
    unit =
    {
      count = 75,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "c-c-a-b"
  },


  {
    type = "technology",
    name = "air-handling",
    icon = "__NARMod__/graphics/icons/technology/air-handling.png",
    prerequisites =
    {
	  "air-compressor-1",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "heat-exchanger"
      },
	  {
        type = "unlock-recipe",
        recipe = "air-liquefaction"
      },
	  {
        type = "unlock-recipe",
        recipe = "air-separation-unit"
      },
	  {
        type = "unlock-recipe",
        recipe = "air-separation"
      },
    },
    unit =
    {
      count = 60,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "d-b-b5"
  },
  
  {
    type = "technology",
    name = "evaporators",
    icon = "__NARMod__/graphics/icons/technology/air-handling.png",
    prerequisites =
    {
	  "air-handling",
    },
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "evaporator"
      },
	  {
        type = "unlock-recipe",
        recipe = "liquid-hydrogen-to-hydrogen-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "hydrogen-gas-to-atmosphere"
      },
	  {
        type = "unlock-recipe",
        recipe = "liquid-oxygen-to-oxygen-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "oxygen-gas-to-atmosphere"
      },
	  {
        type = "unlock-recipe",
        recipe = "liquid-nitrogen-to-nitrogen-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "nitrogen-gas-to-atmosphere"
      },
	  {
        type = "unlock-recipe",
        recipe = "dry-ice-to-co2-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "co2-gas-to-atmosphere"
      },
	  {
        type = "unlock-recipe",
        recipe = "liquid-argon-to-argon-gas"
      },
	  {
        type = "unlock-recipe",
        recipe = "argon-gas-to-atmosphere"
      },
	  {
        type = "unlock-recipe",
        recipe = "water-evaporation"
      },
    },
    unit =
    {
      count = 60,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "d-b-b5"
  },
  

  {
    type = "technology",
    name = "ceramics",
    icon = "__NARMod__/graphics/icons/technology/ceramics.png",
    prerequisites =
    {
      "air-handling",
      "silicon-processing"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "ceramic-plate"
      },
	  {
        type = "unlock-recipe",
        recipe = "large-crucible"
      },
	  {
        type = "unlock-recipe",
        recipe = "silicon-nitride"
      },
      {
        type = "unlock-recipe",
        recipe = "ceramic-bearing-ball"
      },
      {
        type = "unlock-recipe",
        recipe = "ceramic-bearing"
      },
    },
    unit =
    {
      count = 60,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "d-b-b6"
  },

  {
    type = "technology",
    name = "barrels",
    icon = "__base__/graphics/icons/fluid/empty-barrel.png",
    prerequisites =
    {
      "steel-processing",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "empty-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "fill-crude-oil-barrel"
      },
      {
        type = "unlock-recipe",
        recipe = "empty-crude-oil-barrel"
      },
    },
    unit =
    {
      count = 20,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 20
    },
    upgrade = true,
    order = "d-b-a1"
  },
  
  {
	type = "technology",
    name= "gold-processing",
    prerequisites= {"alloy-processing-2"},
	icon="__NARMod__/graphics/icons/technology/gold-processing.png",
    unit=
    {
      count= 30,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "molten-gold"
      },
      {
        type= "unlock-recipe",
        recipe= "forgegold"
      },
    }
  },
  
  {
	type = "technology",
    name= "silver-processing",
    prerequisites= {"alloy-processing-2"},
	icon="__NARMod__/graphics/icons/plate/silver-plate.png",
    unit=
    {
      count= 30,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "molten-silver"
      },
      {
        type= "unlock-recipe",
        recipe= "forgesilver"
      },
    }
  },
  
  {
	type = "technology",
    name= "aluminium-processing",
    prerequisites= {"alloy-processing-2"},
	icon="__NARMod__/graphics/icons/plate/aluminium-plate.png",
    unit=
    {
      count= 80,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "aluminate"
      },
	  {
        type= "unlock-recipe",
        recipe= "molten-aluminium-hydroxide"
      },
	  {
        type= "unlock-recipe",
        recipe= "molten-aluminium-oxide"
      },
      {
        type= "unlock-recipe",
        recipe= "molten-aluminium"
      },
      	  {
        type= "unlock-recipe",
        recipe= "aluminium-plate"
      },
    },
   },
   
   {
	type = "technology",
    name= "lithium-processing",
    prerequisites= {"advanced-material-processing","electrolysis-1"},
	icon="__NARMod__/graphics/icons/plate/lithium-plate.png",
    unit=
    {
      count= 50,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1},}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "lithia-water"
      },
	  {
        type= "unlock-recipe",
        recipe= "lithium-chloride"
      },
	  {
        type= "unlock-recipe",
        recipe= "lithium-water-electrolysis"
      },
    }
  },
  
  {
    type = "technology",
    name = "advanced-electronics",
    icon = "__base__/graphics/technology/advanced-electronics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "silicon-substrate"
      },
	  {
        type = "unlock-recipe",
        recipe = "advanced-circuit"
      },


    },
    prerequisites = {"electronics","silicon-processing"},
    unit =
    {
      count = 50,
      ingredients =
      {
        {"science-pack-1", 1},
      },
      time = 20
    },
    order = "a-d-b",
  },
  
  {
	type = "technology",
    name= "nickel-processing",
    prerequisites= {"alloy-processing-2"},
	icon="__NARMod__/graphics/icons/technology/nickel-processing.png",
    unit=
    {
      count= 30,
      time= 15,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "nickel-from-copper"
      },
	  {
        type= "unlock-recipe",
        recipe= "molten-nickel"
      },
      {
        type= "unlock-recipe",
        recipe= "forgenickel"
      },
    }
  },
  
  {
	type = "technology",
    name= "cobalt-processing",
    prerequisites= {"advanced-material-processing", "alloy-processing-2"},
	icon="__NARMod__/graphics/icons/technology/cobalt-processing.png",
    unit=
    {
      count= 50,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "cobalt-oxide-from-copper"
      },
	  {
        type= "unlock-recipe",
        recipe= "cobalt-plate"
      },
    }
  },
  
  {
    type = "technology",
    name = "battery",
    icon = "__NARMod__/graphics/icons/battery.png",
    prerequisites =
    {
      "lithium-processing",
      "cobalt-processing",
    },
    unit =
    {
      count = 75,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "lithium-cobalt-oxide"
      },
	  {
        type = "unlock-recipe",
        recipe = "battery"
      },
    },
    upgrade = true,
    order = "b-c-a"
  },
  
  {
    type = "technology",
    name = "advanced-electronics-2",
    icon = "__base__/graphics/technology/advanced-electronics.png",
    prerequisites = {"advanced-electronics", "monocrystalline-silicon"},
    effects = {
		{
        type = "unlock-recipe",
        recipe = "superior-silicon-substrate"
      },
	  {
        type = "unlock-recipe",
        recipe = "insulated-copper-wire"
      },
	        {
        type = "unlock-recipe",
        recipe = "gilded-copper-wire"
      },
	  {
        type = "unlock-recipe",
        recipe = "integrated-electronics"
      },
	  {
        type = "unlock-recipe",
        recipe = "processing-electronics"
      },
	  {
        type = "unlock-recipe",
        recipe = "processing-unit"
      },
	  {
        type = "unlock-recipe",
        recipe = "ferric-chloride-solution"
      },
	},
	unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    order = "a-d-c",
  },
  
  {
    type = "technology",
    name = "monocrystalline-silicon",
    icon = "__NARMod__/graphics/icons/technology/monocrystalline-silicon.png",
    prerequisites =
    {
      "polycrystalline-silicon"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "monocrystalline-silicon-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "silicon-wafer"
      },
	  	  {
        type= "unlock-recipe",
        recipe= "hermetically-sealed-assembler"
      },
    },
    unit =
    {
      count = 75,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
},
  
  {
    type = "technology",
    name = "modules",
    icon = "__base__/graphics/technology/module.png",
    prerequisites = {"advanced-electronics-3"},
    unit =
    {
      count = 75,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
	effects =
    {
      {
        type = "unlock-recipe",
        recipe = "module-case-mk1"
      },
	  {
        type= "unlock-recipe",
        recipe= "module-contact"
      },
	  	  {
        type= "unlock-recipe",
        recipe= "speed-module"
      },
	  {
        type= "unlock-recipe",
        recipe= "effectivity-module"
      },
	  {
        type= "unlock-recipe",
        recipe= "productivity-module"
      },
    },
    upgrade = true,
    order = "d-b-b2"
  },

-- BLUE SCIENCE  
  
  
 
  {
    type = "technology",
    name = "chemical-processing-3",
    icon = "__NARMod__/graphics/icons/technology/chemistry.png",
    prerequisites =
    {
      "chemical-processing-2",
    },
    effects =
    {
		{
        type= "unlock-recipe",
        recipe= "sodium-sulfite"
      },
	  {
        type= "unlock-recipe",
        recipe= "hydroquinone"
      },
		{
        type= "unlock-recipe",
        recipe= "photoresist-solution"
      },
	  {
        type= "unlock-recipe",
        recipe= "developer-solution"
      },
	  {
        type= "unlock-recipe",
        recipe= "doping-solution"
      },
    },
    unit =
    {
      count = 100,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "d-b-b3"
  },
  
  {
		type = "technology",
		name = "fertilizer",
		icon = "__NARMod__/graphics/icons/fertilizer.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "biolab"
			},
			{
				type = "unlock-recipe",
				recipe = "fertilizer"
			},
			{
				type = "unlock-recipe",
				recipe = "phosphate-rock"
			},
			{
				type = "unlock-recipe",
				recipe = "phosphate"
			},
			{
				type = "unlock-recipe",
				recipe = "potash"
			},
			{
				type = "unlock-recipe",
				recipe = "potassium"
			},
			{
				type = "unlock-recipe",
				recipe = "fertilizer"
			},
		},
		prerequisites = {
			"cokery-manufacturing"
		},
		unit = {
			count = 100,
			ingredients = {
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1}
			},
			time = 30
		}
	},

	{
		type = "technology",
		name = "advanced-biotechnology",
		icon = "__NARMod__/graphics/icons/biomass.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "bioreactor"
			},
			{
				type = "unlock-recipe",
				recipe = "biomass"
			},
			{
				type = "unlock-recipe",
				recipe = "cellulose"
			},
			{
				type = "unlock-recipe",
				recipe = "methanol"
			},
		},
		prerequisites = {
			"fertilizer"
		},
		unit = {
			count = 100,
			ingredients = {
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 1}
			},
			time = 30
		}
	},

	{
		type = "technology",
		name = "organic-plastic",
		icon = "__NARMod__/graphics/icons/cellulose.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "treefarm-mod-platic"
			}
		},
		prerequisites = {
			"advanced-biotechnology"
		},
		unit = {
			count = 50,
			ingredients = {
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 1}
			},
			time = 30
		}
	},

	{
		type = "technology",
		name = "medicine",
		icon = "__NARMod__/graphics/icons/medicine.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "nutrients"
			},
			{
				type = "unlock-recipe",
				recipe = "medicine"
			}
		},
		prerequisites = {
			"advanced-biotechnology"
		},
		unit = {
			count = 75,
			ingredients = {
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 1}
			},
			time = 45
		}
	},

	{
		type = "technology",
		name = "advanced-treefarming",
		icon = "__NARMod__/graphics/icons/fieldmk2.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "fieldmk2"
			}
		},
		prerequisites = {
			"construction-robotics",
			"logistic-robotics"
		},
		unit = {
			count = 100,
			ingredients = {
				{"science-pack-1", 3},
				{"science-pack-2", 2},
				{"science-pack-3", 2}
			},
			time = 30
		}
	},

	{
		type = "technology",
		name = "biological-warfare",
		icon = "__NARMod__/graphics/icons/glue-rocket.png",
		effects = {
			{
				type = "unlock-recipe",
				recipe = "glue"
			},
			{
				type = "unlock-recipe",
				recipe = "glue-rocket"
			},
			{
				type = "unlock-recipe",
				recipe = "glue-capsule"
			},
			{
				type = "unlock-recipe",
				recipe = "glue-turret"
			},
			{
				type = "unlock-recipe",
				recipe = "tf-flame-thrower-ammo"
			}
		},
		prerequisites = {
			"advanced-biotechnology"
		},
		unit = {
			count = 75,
			ingredients = {
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 1}
			},
			time = 30
		}
	},
  
  {
    type = "technology",
    name = "arc-welding",
    icon = "__NARMod__/graphics/icons/technology/arc-welding.png",
    prerequisites =
    {
      "air-handling",
    },
    effects =
    {
		{
				type = "unlock-recipe",
				recipe = "arc-welding-electrode"
		}
    },
    unit =
    {
      count = 100,
      ingredients = 
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "d-b-b3"
  },
  
  {
    type = "technology",
    name = "alloy-processing-3",
    icon = "__NARMod__/graphics/icons/technology/alloy-processing.png",
    prerequisites =
    {
      "alloy-processing-2",
      "advanced-electronics-2",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric-chemical-mixing-furnace"
      },
    },
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1},
      },
      time = 30
    },
    upgrade = true,
    order = "c-c-a-c"
  },
  
  {
    type = "technology",
    name = "advanced-electronics-3",
    icon = "__base__/graphics/technology/advanced-electronics.png",
    prerequisites = {"advanced-electronics-2","chemical-processing-3"},
    effects =
    {
            {
        type = "unlock-recipe",
        recipe = "multilayer-silicon-substrate"
      },
	  {
        type = "unlock-recipe",
        recipe = "microchip"
      },
	  {
        type = "unlock-recipe",
        recipe = "cpu"
      },
	  {
        type = "unlock-recipe",
        recipe = "heatsink"
      },
	  {
        type = "unlock-recipe",
        recipe = "motherboard"
      },
	  
    },
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-d-d",
  },
  
  {
    type = "technology",
    name = "advanced-electronics-4",
    icon = "__base__/graphics/technology/advanced-electronics.png",
    prerequisites = {"advanced-electronics-3"},
    effects =
    {
		{
        type = "unlock-recipe",
        recipe = "module-case-mk2"
      },
	  {
        type = "unlock-recipe",
        recipe = "module-case-mk3"
      },
    },
    unit =
    {
      count = 120,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-d-d",
  },
  
  {
	type = "technology",
    name= "titanium-processing",
    prerequisites= {"alloy-processing-3"},
	icon="__NARMod__/graphics/icons/technology/titanium-processing.png",
    unit=
    {
      count= 75,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1},{"science-pack-3", 1}}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "titanium-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "titanium-tetrachloride"
      },
    }
  },
  
  {
	type = "technology",
    name= "tungsten-processing",
    prerequisites= {"alloy-processing-3"},
	icon="__NARMod__/graphics/icons/technology/tungsten-processing.png",
    unit=
    {
      count= 75,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1},{"science-pack-3", 1}}
    },
    effects=
    {
		{
        type= "unlock-recipe",
        recipe= "tungstic-acid"
      },
	  {
        type= "unlock-recipe",
        recipe= "tungsten-oxide"
      },
	  {
        type= "unlock-recipe",
        recipe= "powdered-tungsten"
      },
	  {
        type= "unlock-recipe",
        recipe= "tungsten-carbide-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "copper-tungsten-alloy"
      },
	  {
        type= "unlock-recipe",
        recipe= "tungsten-gear-wheel"
      },
    }
  },
  
  {
    type = "technology",
    name = "logistics-3",
    icon = "__base__/graphics/technology/logistics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "express-transport-belt"
      },
      {
        type = "unlock-recipe",
        recipe = "express-transport-belt-to-ground"
      },
	  {
        type = "unlock-recipe",
        recipe = "titanium-bearing-ball"
      },
	  {
        type = "unlock-recipe",
        recipe = "titanium-bearing"
      },
	  {
        type = "unlock-recipe",
        recipe = "titanium-gear-wheel"
      },
      {
        type = "unlock-recipe",
        recipe = "express-splitter"
      }
    },
    prerequisites = {"logistics-2", "automation-3"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 15
    },
    order = "a-f-c",
  },
  
  
  {
	type = "technology",
    name= "invar-processing",
    prerequisites= {"alloy-processing-3"},
	icon="__NARMod__/graphics/icons/technology/invar-processing.png",
    unit=
    {
      count= 50,
      time= 30,
      ingredients= { {"science-pack-1", 1}, {"science-pack-2", 1},{"science-pack-3", 1},}
    },
    effects=
    {
	  {
        type= "unlock-recipe",
        recipe= "invar-plate"
      },
	  {
        type= "unlock-recipe",
        recipe= "invar-valve"
      },
    }
  },
})
